Skip to main content

GetBucketAnalyticsConfiguration

Gets an analytics configuration for a bucket.

Description​

The GetBucketAnalyticsConfiguration operation returns an analytics configuration (identified by the configuration ID) from the bucket. By default, this operation returns information about access patterns for objects in a bucket.

note
  • To use this operation, you must have permission to perform the s3:GetAnalyticsConfiguration action.
  • You must be the bucket owner to use this operation.
  • If the specified configuration does not exist, QStorage returns a NoSuchConfiguration error.

Request Syntax​

GET /?analytics&id=ConfigurationId HTTP/1.1
Host: BucketName.qstorage.quilibrium.com
x-amz-expected-bucket-owner: OwnerAccountId
Values in italics indicate user input and should be replaced with actual values.

This operation does not have a request body.

Request Parameters​

URI Parameters​

NameDescriptionRequiredType
idThe ID that identifies the analytics configurationYestext

Headers​

NameDescriptionRequiredType
x-amz-expected-bucket-ownerThe account ID of the expected bucket ownerNotext

Examples​

Example 1: Get analytics configuration from a bucket​

GET /?analytics&id=config1 HTTP/1.1
Host: my-bucket.qstorage.quilibrium.com
Values in italics indicate user input and should be replaced with actual values.
HTTP/1.1 200 OK
x-amz-id-2: Example7qoYGN7uMuFuYS6m7a4l
x-amz-request-id: TX234S0F24A06C7
Date: Wed, 01 Mar 2024 12:00:00 GMT
<?xml version="1.0" encoding="UTF-8"?> <AnalyticsConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/"> <Id>config1</Id> <Filter> <Prefix>documents/</Prefix> </Filter> <StorageClassAnalysis> <DataExport> <OutputSchemaVersion>V_1</OutputSchemaVersion> <Destination> <S3BucketDestination> <Format>CSV</Format> <BucketAccountId>123456789012</BucketAccountId> <Bucket>arn:aws:s3:::destination-bucket</Bucket> <Prefix>reports/</Prefix> </S3BucketDestination> </Destination> </DataExport> </StorageClassAnalysis> </AnalyticsConfiguration>
Values in italics indicate variable response values.

Response Syntax​

HTTP/1.1 200 OK
x-amz-id-2: RequestId
x-amz-request-id: AmazonRequestId
Date: ISO8601Date
<?xml version="1.0" encoding="UTF-8"?> <AnalyticsConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/"> <Id>ConfigurationId</Id> <Filter> <And> <Prefix>Prefix</Prefix> <Tag> <Key>Key</Key> <Value>Value</Value> </Tag> </And> </Filter> <StorageClassAnalysis> <DataExport> <OutputSchemaVersion>Version</OutputSchemaVersion> <Destination> <S3BucketDestination> <Format>Format</Format> <BucketAccountId>AccountId</BucketAccountId> <Bucket>BucketARN</Bucket> <Prefix>Prefix</Prefix> </S3BucketDestination> </Destination> </DataExport> </StorageClassAnalysis> </AnalyticsConfiguration>
Values in italics indicate variable response values.

Response Elements​

Response Headers​

NameDescriptionRequiredType
x-amz-id-2An identifier for the requestNoString
x-amz-request-idA unique identifier for the requestNoString
DateThe date and time at which the response was sentNoString

Response Body Elements​

NameTypeDescriptionRequired
AnalyticsConfigurationContainerContainer for the analytics configurationYes
IdStringThe ID that identifies the analytics configurationYes
FilterAnalyticsFilterContainer for the filter used to describe a set of objects for analysesNo

Special Errors​

Error CodeDescription
NoSuchBucketThe specified bucket does not exist
NoSuchConfigurationThe specified configuration does not exist
403Forbidden. Authentication failed or you do not have permission to get the analytics configuration

Permissions​

You must have the s3:GetAnalyticsConfiguration permission.

Try It Out​

Test GetBucketAnalyticsConfiguration

Get an analytics configuration from a bucket.

Coming Soon

This feature is currently under development and will be available soon.